Bug 1117829 - Postgres Plugin - Case-sensitivity is not honored in table name configuration updates
Summary: Postgres Plugin - Case-sensitivity is not honored in table name configuration...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.2.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER02
: JON 3.3.0
Assignee: Michael Burman
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 13:14 UTC by Michael Burman
Modified: 2014-12-11 14:03 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:03:11 UTC


Attachments (Terms of Use)

Description Michael Burman 2014-07-09 13:14:32 UTC
Description of problem: When trying to update configuration changes (adding column), case-sensitivity is lost. This makes the update fail.


Version-Release number of selected component (if applicable): 3.2.0.GA / RHQ 4.11


How reproducible: Always


Steps to Reproduce:
1. Create table with upper-case and lower-case letters (such as testTable)
2. Go to configuration and add column

Actual results: Update fails with error message: org.postgresql.util.PSQLException: ERROR: relation "testtable" does not exist


Expected results: Configuration would succeed


Additional info:

Comment 1 Michael Burman 2014-08-12 19:34:59 UTC
This also affects columns, as both should be quoted in the commands if case-sensitivity is to be preserved.

Comment 2 Michael Burman 2014-08-12 19:42:54 UTC
Fixed in master:

commit 47e2f193906fbcc8b49f8040c9eef0bb48a5de63
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Aug 12 22:41:39 2014 +0300

    [BZ 1117829] Add quotes around necessary tableNames and columnNames to force case-sensitivity on PostgreSQL

Comment 3 Thomas Segismont 2014-08-25 08:55:35 UTC
Cherry-picked over to release/jon3.3.x

commit 692c4b2c1958b23ca520edf425d7216ec758b637
Author: Michael Burman <miburman@redhat.com>
Date:   Tue Aug 12 22:41:39 2014 +0300

    [BZ 1117829] Add quotes around necessary tableNames and columnNames to force case-sensitivity on PostgreSQL
    
    (cherry picked from commit 47e2f193906fbcc8b49f8040c9eef0bb48a5de63)
    Signed-off-by: Thomas Segismont <tsegismo@redhat.com>

Comment 4 Simeon Pinder 2014-09-03 20:31:50 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194


Note You need to log in before you can comment on or make changes to this bug.